// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CAlgoCompute wrapper class

class CAlgoCompute : public COleDispatchDriver
{
public:
	CAlgoCompute(){} // Calls COleDispatchDriver default constructor
	CAlgoCompute(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CAlgoCompute(const CAlgoCompute& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// IAlgoCompute methods
public:
	CString GetKey()
	{
		CString result;
		InvokeHelper(0x1, DISPATCH_METHOD, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	long AddAlgoCompute(LPCTSTR bstrParam)
	{
		long result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x2, DISPATCH_METHOD, VT_I4, (void*)&result, parms, bstrParam);
		return result;
	}
	void DelAlgoCompute(LPCTSTR bstrKey)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x3, DISPATCH_METHOD, VT_EMPTY, NULL, parms, bstrKey);
	}

	// IAlgoCompute properties
public:

};
